python2.7_2.7.6-8ubuntu0.5_i386.deb


Advertisement

Description

python2.7 - Interactive high-level object-oriented language (version 2.7)

Property Value
Distribution Ubuntu 14.04 LTS (Trusty Tahr)
Repository Ubuntu Updates Main i386
Package name python2.7
Package version 2.7.6
Package release 8ubuntu0.5
Package architecture i386
Package type deb
Installed size 348 B
Download size 192.11 KB
Official Mirror archive.ubuntu.com
Python is a high-level, interactive, object-oriented language. Its 2.7 version
includes an extensive class library with lots of goodies for
network programming, system administration, sounds and graphics.

Alternatives

Package Version Architecture Repository
python2.7_2.7.6-8ubuntu0.5_amd64.deb 2.7.6 amd64 Ubuntu Updates Main
python2.7_2.7.6-8_amd64.deb 2.7.6 amd64 Ubuntu Main
python2.7_2.7.6-8_i386.deb 2.7.6 i386 Ubuntu Main
python2.7 - - -

Requires

Name Value
libpython2.7-stdlib = 2.7.6-8ubuntu0.5
mime support
python2.7-minimal = 2.7.6-8ubuntu0.5

Conflicts

Name Value
python-profiler <= 2.7.1-2

Replaces

Name Value
python-profiler <= 2.7.1-2
python2.7-minimal << 2.7.3-7~

Download

Type URL
Binary Package python2.7_2.7.6-8ubuntu0.5_i386.deb
Source Package python2.7

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python2.7 deb package:
    # sudo apt-get install python2.7

Files

Path
/usr/bin/2to3-2.7
/usr/bin/pdb2.7
/usr/bin/pydoc2.7
/usr/bin/pygettext2.7
/usr/share/applications/python2.7.desktop
/usr/share/doc/python2.7/ACKS.gz
/usr/share/doc/python2.7/NEWS.gz
/usr/share/doc/python2.7/README.Debian
/usr/share/doc/python2.7/README.gz
/usr/share/doc/python2.7/changelog.Debian.gz
/usr/share/doc/python2.7/changelog.gz
/usr/share/doc/python2.7/copyright
/usr/share/lintian/overrides/python2.7
/usr/share/man/man1/2to3-2.7.1.gz
/usr/share/man/man1/pdb2.7.1.gz
/usr/share/man/man1/pydoc2.7.1.gz
/usr/share/man/man1/pygettext2.7.1.gz
/usr/share/menu/python2.7
/usr/share/pixmaps/python2.7.xpm

Changelog

2018-11-12 - Marc Deslauriers <marc.deslauriers@ubuntu.com>
python2.7 (2.7.6-8ubuntu0.5) trusty-security; urgency=medium
* SECURITY UPDATE: heap buffer overflow via race condition
- debian/patches/CVE-2018-1000030-1.patch: stop crashes when iterating
over a file on multiple threads in Lib/test/test_file2k.py,
Objects/fileobject.c.
- debian/patches/CVE-2018-1000030-2.patch: fix crash when multiple
threads iterate over a file in Lib/test/test_file2k.py,
Objects/fileobject.c.
- CVE-2018-1000030
* SECURITY UPDATE: command injection in shutil module
- debian/patches/CVE-2018-1000802.patch: use subprocess rather than
distutils.spawn in Lib/shutil.py.
- CVE-2018-1000802
* SECURITY UPDATE: DoS via catastrophic backtracking
- debian/patches/CVE-2018-106x.patch: fix expressions in
Lib/difflib.py, Lib/poplib.py. Added tests to
Lib/test/test_difflib.py, Lib/test/test_poplib.py.
- CVE-2018-1060
- CVE-2018-1061
* SECURITY UPDATE: incorrect Expat hash salt initialization
- debian/patches/CVE-2018-14647.patch: call SetHashSalt in
Include/pyexpat.h, Modules/_elementtree.c, Modules/pyexpat.c.
- CVE-2018-14647
2017-11-20 - Leonidas S. Barbosa <leo.barbosa@canonical.com>
python2.7 (2.7.6-8ubuntu0.4) trusty-security; urgency=medium
* SECURITY UPDATE: integer overflow in the PyString_DecodeEscape
function
- debian/patches/CVE-2017-1000158.patch: fix this integer overflow
in Objects/stringobject.c.
- CVE-2017-1000158
2016-10-25 - Steve Beattie <sbeattie@ubuntu.com>
python2.7 (2.7.6-8ubuntu0.3) trusty-security; urgency=medium
* SECURITY UPDATE: StartTLS stripping attack
- debian/patches/CVE-2016-0772.patch: raise an error when
STARTTLS fails in Lib/smtplib.py.
- CVE-2016-0772
* SECURITY UPDATE: use of HTTP_PROXY flag supplied by attacker in CGI
scripts (aka HTTPOXY attack)
- debian/patches/CVE-2016-1000110-pre.patch: prefer lower_case
proxy environment variables over UPPER_CASE or Mixed_Case ones.
- debian/patches/CVE-2016-1000110.patch: if running as CGI
script, forget HTTP_PROXY in Lib/urllib.py, add test to
Lib/test/test_urllib.py, add documentation.
- CVE-2016-1000110
* SECURITY UPDATE: Integer overflow when handling zipfiles
- debian/patches/CVE-2016-5636-pre.patch: check for negative size
in Modules/zipimport.c
- debian/patches/CVE-2016-5636.patch: check for too large value in
Modules/zipimport.c
- CVE-2016-5636
* SECURITY UPDATE: CRLF injection vulnerability in the
HTTPConnection.putheader
- debian/patches/CVE-2016-5699.patch: disallow newlines in
putheader() arguments when not followed by spaces or tabs in
Lib/httplib.py, add tests in Lib/test/test_httplib.py
- CVE-2016-5699

See Also

Package Description
python3-amqp_1.3.3-1ubuntu1.1_all.deb Low-level AMQP client (Python3 version)
python3-apparmor-click_0.2ubuntu1_all.deb Click manifest to AppArmor easyprof conversion tools
python3-apparmor_2.10.95-0ubuntu2.6~14.04.4_i386.deb AppArmor Python3 utility library
python3-apport_2.14.1-0ubuntu3.29_all.deb Python 3 library for Apport crash report handling
python3-apt_0.9.3.5ubuntu3_i386.deb Python 3 interface to libapt-pkg
python3-aptdaemon.gtk3widgets_1.1.1-1ubuntu5.2_all.deb Python 3 GTK+ 3 widgets to run an aptdaemon client
python3-aptdaemon.pkcompat_1.1.1-1ubuntu5.2_all.deb PackageKit compatibilty for AptDaemon
python3-aptdaemon.test_1.1.1-1ubuntu5.2_all.deb Test environment for aptdaemon clients
python3-aptdaemon_1.1.1-1ubuntu5.2_all.deb Python 3 module for the server and client of aptdaemon
python3-chardet_2.2.1-2~ubuntu1_all.deb universal character encoding detector for Python3
python3-click_0.4.21.1ubuntu0.2_i386.deb Click packages (Python 3 interface)
python3-crypto_2.6.1-4ubuntu0.3_i386.deb cryptographic algorithms and protocols for Python 3
python3-dbus.mainloop.pyqt5_5.2.1+dfsg-1ubuntu2_i386.deb D-Bus Support for PyQt5 with Python 3
python3-dbusmock_0.10.1-1ubuntu1_all.deb mock D-Bus objects for tests (Python 3)
python3-distupgrade_0.220.10_all.deb manage release upgrades
Advertisement
Advertisement